# $Revision: 1.42 $, $Date: 2005/07/26 22:08:35 $
Summary:	GNUstep GUI library package
Summary(pl):	Biblioteka GNUstep GUI
Name:		gnustep-gui
Version:	0.10.0
Release:	1
License:	LGPL/GPL
Group:		Libraries
Source0:	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
# Source0-md5:	1f35061e045fe7915bfa80ff037dee3a
Patch0:		%{name}-themes.patch
Patch1:		%{name}-nocompressdocs.patch
Patch2:		%{name}-segv.patch
Patch3:		%{name}-doc.patch
URL:		http://www.gnustep.org/
BuildRequires:	aspell-devel
BuildRequires:	audiofile-devel
BuildRequires:	gcc-objc
BuildRequires:	gnustep-base-devel >= 1.11.0
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
Requires:	gnustep-base >= 1.11.0
Conflicts:	gnustep-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
It is a library of graphical user interface classes written completely
in the Objective-C language; the classes are based upon the OpenStep
specification as release by NeXT Software, Inc. The library does not
completely conform to the specification and has been enhanced in a
number of ways to take advantage of the GNU system. These classes
include graphical objects such as buttons, text fields, popup lists,
browser lists, and windows; there are also many associated classes for
handling events, colors, fonts, pasteboards and images.

%description -l pl
To jest biblioteka klas graficznego interfejsu uytkownika napisana w
Objective-C. Klasy bazuj na specyfikacji OpenStep wypuszczonej przez
NeXT Software. Biblioteka nie jest cakowicie zgodna ze specyfikacj i
zostaa rozszerzona, aby wykorzysta moliwoci systemu GNU. Klasy
zawieraj graficzne obiekty takie jak przyciski, pola tekstowe, listy
rozwijane, listy przewijane i okienka; jest take wiele klas do
obsugi zdarze, kolorw, fontw i obrazkw.

%package devel
Summary:	GNUstep GUI headers and libs
Summary(pl):	Pliki nagwkowe GNUstep GUI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	audiofile-devel
Requires:	gnustep-base-devel >= 1.11.0
Requires:	libjpeg-devel
Requires:	libtiff-devel
Conflicts:	gnustep-core

%description devel
Header files required to build applications against the GNUstep GUI
library.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania aplikacji korzystajcych z
biblioteki GNUstep GUI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
# disable gsnd - not ready for current portaudio
%configure \
	--disable-gsnd

%{__make} \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System \
	INSTALL_ROOT_DIR=$RPM_BUILD_ROOT
%{__make} install -C Documentation \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System \
	INSTALL_ROOT_DIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation \
	-type f -name .cvsignore | xargs rm -f
# not (yet?) supported by rpm-compress-doc
find $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation \
	-type f -a ! -name '*.html' | xargs gzip -9nf

mv $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation/info/manual.info.gz $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation/info/gnustep-gui.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog

%docdir %{_prefix}/System/Library/Documentation
%dir %{_prefix}/System/Library/Documentation/Developer/Gui
%{_prefix}/System/Library/Documentation/Developer/Gui/ReleaseNotes
%{_prefix}/System/Library/Documentation/User/Gui
%{_prefix}/System/Library/Documentation/man/man1/*

%dir %{_prefix}/System/Library/Bundles/TextConverters
%dir %{_prefix}/System/Library/Bundles/TextConverters/RTFConverter.bundle
%{_prefix}/System/Library/Bundles/TextConverters/RTFConverter.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/TextConverters/RTFConverter.bundle/%{gscpu}
%dir %{_prefix}/System/Library/Bundles/libgmodel.bundle
%{_prefix}/System/Library/Bundles/libgmodel.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/libgmodel.bundle/%{gscpu}

%dir %{_prefix}/System/Library/Bundles/GSPrinting
%dir %{_prefix}/System/Library/Bundles/GSPrinting/GSLPR.bundle
%{_prefix}/System/Library/Bundles/GSPrinting/GSLPR.bundle/Resources
%{_prefix}/System/Library/Bundles/GSPrinting/GSLPR.bundle/%{gscpu}

%dir %{_prefix}/System/Library/ColorPickers
%dir %{_prefix}/System/Library/ColorPickers/StandardPicker.bundle
%dir %{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources
%{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources/*.tiff
%{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources/*.plist
%{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources/English.lproj
%lang(fr) %{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources/French.lproj
%lang(sv) %{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/Resources/Swedish.lproj
%attr(755,root,root) %{_prefix}/System/Library/ColorPickers/StandardPicker.bundle/%{gscpu}
%dir %{_prefix}/System/Library/ColorPickers/NamedPicker.bundle
%{_prefix}/System/Library/ColorPickers/NamedPicker.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/ColorPickers/NamedPicker.bundle/%{gscpu}
%dir %{_prefix}/System/Library/ColorPickers/WheelPicker.bundle
%{_prefix}/System/Library/ColorPickers/WheelPicker.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/ColorPickers/WheelPicker.bundle/%{gscpu}

%{_prefix}/System/Library/Images/*
%{_prefix}/System/Library/KeyBindings/*.dict

%dir %{_prefix}/System/Library/Libraries/Resources/gnustep-gui
%{_prefix}/System/Library/Libraries/Resources/gnustep-gui/*.plist
%{_prefix}/System/Library/Libraries/Resources/gnustep-gui/English.lproj
%lang(it) %{_prefix}/System/Library/Libraries/Resources/gnustep-gui/Italian.lproj

%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so.*

%dir %{_prefix}/System/Library/PostScript
%{_prefix}/System/Library/PostScript/GSProlog.ps
%dir %{_prefix}/System/Library/PostScript/PPD
%{_prefix}/System/Library/PostScript/PPD/English.lproj
%dir %{_prefix}/System/Library/Services/GSspell.service
%{_prefix}/System/Library/Services/GSspell.service/Resources
%attr(755,root,root) %{_prefix}/System/Library/Services/GSspell.service/%{gscpu}

%attr(755,root,root) %{_prefix}/System/Tools/%{gscpu}/%{gsos}/%{libcombo}/*

%files devel
%defattr(644,root,root,755)
%docdir %{_prefix}/System/Library/Documentation
%{_prefix}/System/Library/Documentation/Developer/Gui/Additions
%{_prefix}/System/Library/Documentation/Developer/Gui/General
%{_prefix}/System/Library/Documentation/Developer/Gui/ProgrammingManual
%{_prefix}/System/Library/Documentation/Developer/Gui/Reference
%{_prefix}/System/Library/Documentation/info/gnustep-gui.info*

%{_prefix}/System/Library/Headers/%{libcombo}/AppKit
%{_prefix}/System/Library/Headers/%{libcombo}/GNUstepGUI
%{_prefix}/System/Library/Headers/%{libcombo}/gnustep/gui

%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so
%{_prefix}/System/Library/Makefiles/Additional/gui.make

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-gui.spec,v $
Revision 1.42  2005/07/26 22:08:35  qboosh
- updated to 0.10.0 (note: new soname)

Revision 1.41  2005/04/24 20:46:48  qboosh
- updated to 0.9.5

Revision 1.40  2005/01/06 20:11:07  qboosh
- missing dir, BR: aspell-devel, release 5

Revision 1.39  2005/01/05 22:44:22  havner
- rel 4 for aspell 0.50 rebuild

Revision 1.38  2004/11/07 21:26:31  qboosh
- sanitized paths

Revision 1.37  2004/11/07 21:10:09  havner
- wrr, who makes such ugly workarounds
- rel 3

Revision 1.36  2004/10/31 16:20:45  qboosh
- removed obsolete include patch
- removed Documentation/Developer/Gui/ReleaseNotes dup from -devel (already in base)

Revision 1.35  2004/09/30 18:12:45  aredridel
- BR: gnustep-base-devel >= 0.10.0

Revision 1.34  2004/09/29 04:09:35  aredridel
- up to 0.9.4
- careful, new soname

Revision 1.33  2004/06/27 16:33:56  qboosh
- missing dir, release 2

Revision 1.32  2004/06/24 05:58:00  qboosh
- updated to 0.9.3, added include,doc patches, fixes for amd64 and ppc

Revision 1.31  2004/03/02 05:55:10  aredridel
- up to 0.9.2

Revision 1.30  2003/12/29 15:33:19  qboosh
- added segv patch, release 2

Revision 1.29  2003/12/27 01:52:56  aredridel
- up to 0.9.1

Revision 1.28  2003/10/01 04:36:24  aredridel
- updated to 0.9.0

Revision 1.27  2003/09/05 23:12:25  qboosh
- kill .cvsignore files from Documentation
- moved User docs and man1 page to base
- don't include duplicate of ReleaseNotes (present in base) in -devel

Revision 1.26  2003/09/03 05:38:47  aredridel
- updated to 0.8.9

Revision 1.25  2003/09/02 16:37:37  qboosh
- rebuild with new Headers directory layout, release 2

Revision 1.24  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.23  2003/07/25 19:17:39  aredridel
- fixed md5

Revision 1.22  2003/07/25 19:17:17  aredridel
- updated to 0.8.8
- added Camaelon themes patch

Revision 1.21  2003/07/19 23:51:59  qboosh
- up to 0.8.7

Revision 1.20  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:48:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/14 20:41:23  qboosh
- updated to 0.8.5

Revision 1.17  2003/03/10 20:15:50  qboosh
- reverted evil changes (caused some wrong file permissions and directories
  ownership - each directory should belong to exactly one installed package)

Revision 1.16  2003/03/02 21:09:24  qwark
 - new version 0.8.4, some changes in %files section

Revision 1.15  2002/12/31 17:12:48  qboosh
- fixed Group - the most important thing in package is library

Revision 1.14  2002/12/29 13:44:56  qboosh
- updated to 0.8.3, many fixes and cleanups - builds

Revision 1.13  2002/04/25 16:27:54  arturs
fixed a small typo

Revision 1.12  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/28 12:29:23  marcus
- new version 0.7.0

Revision 1.8  2001/09/28 08:39:48  qboosh
- removed second Source0 with CVS URL; note: there is 0.7.0 on ftp
- adapterized, added pl translations; %%install and %%files should be rewritten
- what are "%%{libcombo}" and "%%{_buildblurb}" ???

Revision 1.7  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.5  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/20 13:37:50  kloczek
- spec adapterized and partialy rewrited.

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- Version 0.6.0
- Added headers patch

* Sat Aug 07 1999 Christopher Seawood <cls@seawood.org>
- Updated to cvs dawn_6 branch

* Sat Jun 26 1999 Christopher Seawood <cls@seawood.org>
- Split into separate rpm from gnustep-core
- Build from cvs snapshot
- Split into -devel, -libs & -zoneinfo packages
